const router = require('express').Router();
const { token, scope, projectTag } = require('middlewares');
const AddonHandlers = require('./handlers');
const { getRouterPathBasedOnEnv } = require('../utils');

router.use(token());
router.use(scope());
router.use(projectTag());
// router.use(role());

router.get(['/', '/:id'], AddonHandlers.getCustomZonesPrototypes);

module.exports = {
    path: getRouterPathBasedOnEnv('custom_zones_prototypes'),
    router,
};
