const Service = require('./service');


async function getCustomZonesPrototypes(req, res, next) {
    try {
        const custom_zones_prototypes = await Service.getZonesPrototypes(req);
        res.json({ custom_zones_prototypes });
    } catch (e) {
        next(e);
    }
}


module.exports = {
    getCustomZonesPrototypes,
};
