const CoreZonesPrototypesService = require('../../../routes/custom_zones_prototypes/service');
const { getZonePrototypesBlackList } = require('../utils');


async function getZonesPrototypes(req) {
    const custom_zones_prototypes = await CoreZonesPrototypesService.getZonesPrototypes(req);
    const black_list = getZonePrototypesBlackList(req.user && req.user.role);
    return custom_zones_prototypes.filter(zone_prototype => !black_list.includes(zone_prototype.zone_type.name));
}

module.exports = {
    getZonesPrototypes,
};
