const { db } = require('../../../../routes/global');
const SQLGetter = require('./sqls');


class ZoneRepo {
    static async getZoneBySequenceAndProject(zone_id, project_uid) {
        return db.queryAsync(SQLGetter.getZoneBySequenceAndProjectSql(), [zone_id, project_uid]).get(0);
    }

    static async updateCoupledZone(coupledId, zoneUid) {
        return db.queryAsync(SQLGetter.updateCoupledZoneSql(), [JSON.stringify({ coupled: coupledId }), zoneUid]);
    }

    static async getZoneByUid(zoneUid) {
        return db.queryAsync(SQLGetter.getZoneByUidSql(), [zoneUid]).get(0);
    }
}

module.exports = {
    ZoneRepo,
};
