function getZoneBySequenceAndProjectSql() {
    return 'SELECT * from view_zones WHERE sequence = ? AND project_uid = ? AND removed_at > NOW();';
}

function updateCoupledZoneSql() {
    return 'UPDATE zones SET user_params = ?, updated_at = NOW() where uid = ?';
}

function getZoneByUidSql() {
    return 'SELECT * FROM zones where uid = ? AND removed_at > NOW()';
}

module.exports = {
    getZoneByUidSql,
    updateCoupledZoneSql,
    getZoneBySequenceAndProjectSql,
};

